<?php
/**
 * OOPでBBS (Step1)
 *
 * オブジェクト指向プログラミングで掲示板を作ってみる。
 * ブログでその作り方を晒すために書いたものです。
 * 詳しい事は当該記事を見てください。 
 *
 *
 *           
 * PHP version 5.3
 *
 * LICENSE : このソースはCreative Commons 表示 - 非営利 2.1 日本 Licenseです。
 *           改変は自由ですが営利目的で利用することは出来ません。
 * 
 * @category  Step1
 * @package   OOPdeBBS
 * @author    Tenderfeel <tenderfeel@gmail.com>
 * @copyright Copyright (c) 2010 Tenderfeel.(http://webtecnote.com)
 * @license   http://creativecommons.org/licenses/by-nc/2.1/jp/
 * @since     File available since Release 1.0.0
 *
 */


/**
 * 掲示板のデータを操作するクラス
 *
 * ModelはControllerに使役されるクラスです。
 * 掲示板のデータに関する手続きを行います。
 *
 * @author    Tenderfeel <tenderfeel@gmail.com>
 * @copyright Copyright (c) 2010 Tenderfeel.(http://webtecnote.com)
 * @license   Creative Commons BY-NC http://creativecommons.org/licenses/by-nc/2.1/jp/
 * @since     File available since Release 1.0.0 (step1)
 */
class Model {
    
    public function __construct()
    {
    }
    
    /**
     * 仮のメッセージを表示する
     * @return {}
     * @since 1.0 (step1)
     * @test
     */
    public function dispatch()
    {
        print 'Hello Model!';
    }
}

?>